Subject: Re: Fwd: Invoice #17193647
From: "Michael B" <[email-masked]>
To: "Customer Service" <[email-masked]>
Date: Fri, 9 Feb 2018 10:47:23 -0500

Hello Frank.
What date would I enter for the agreement? We paid an invoice, (17193216) that states: "Renewal pricing has been prorated to reflect a 4/8/2018 expiration date, a future invoice will cover the following 12 months". Would I use that date as the renewal since according to that invoice, we would be paid through then? Let me know.
Thank you,
Michael Bishop
Labor Law Poster Service
877-321-4144 x355

From: Customer Service 
Sent: Friday, January 12, 2018 11:41 AM
To: [email-masked] 
Subject: Re: Fwd: Invoice #17193647

Michael,

We have been unable to contact you by telephone, please give us a call at 203-653-2762.

The invoice is for the Ported Number file.  Also, we need to have the attached agreement completed/signed prior to 3/4/2018 or we will not be able to continue sending you the Ported Number file.

Please let me know if you have any questions.

Thank you.

Frank

On 1/11/2018 7:22 PM, Customer Service wrote:

  Sent from my iPhone

  Begin forwarded message:

    From: "Michael B" <[email-masked]>
    Date: January 11, 2018 at 3:38:13 PM CST
    To: <[email-masked]>
    Subject: Invoice #17193647

    Hello.
    We received an invoice from your company and need to get an explanation of services for this. I have called and left 2 voicemails but have not gotten a call back. The contact the for this account is no longer with our company so we are not able to verify if this is still a needed service for our company. Please contact me asap so that we can resolve this matter.
    Thank you,
    Michael Bishop
    Operations Manager
    Labor Law Poster Service (LLPS)
    877-321-4144 x355

       Virus-free. www.avg.com